#
# spec file for package python3-docopt
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python3-docopt
Version:        0.6.2
Release:        8.1
License:        MIT
Summary:        Pythonic argument parser, that will make you smile
Url:            http://docopt.org
Group:          Development/Languages/Python
Source:         https://pypi.python.org/packages/source/d/docopt/docopt-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3
BuildRequires:  python3-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
docopt creates beautiful command-line interfaces.

Isn't it awesome how optparse and argparse generate help
messages based on your code?!

Hell no!  You know what's awesome?  It's when the option parser is
generated based on the beautiful help message that you write yourself!
This way you don't need to write this stupid repeatable parser-code,
and instead can write only the help message--the way you want it.

docopt helps you create most beautiful command-line interfaces
easily.

docopt is tested with Python 2.5, 2.6, 2.7, 3.2, 3.3 and PyPy.

%prep
%setup -q -n docopt-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE-MIT README.rst
%{python3_sitelib}/*

%changelog
* Mon Jul 14 2014 toddrme2178@gmail.com
- Update to 0.6.2
  * Wheel support
* Mon Feb 17 2014 arun@gmx.de
- fixing the build
* Mon Feb 10 2014 speilicke@suse.com
- Proper file names
- Added LICENSE-MIT and README.rst, build with setuptools instead of distribute
* Wed Feb  5 2014 arun@gmx.de
- initial commit to d-p-l. Below are the previous Changelog entries
  * 0.6.1 Bugfix release.
  * 0.6.0 options_first parameter.
    Breaking changes: Corrected [options] meaning.
    argv defaults to None.
  * 0.5.0 Repeated options/commands are counted or accumulated into a
    list.
  * 0.4.2 Bugfix release.
  * 0.4.0 Option descriptions become optional,
    support for "--" and "-" commands.
  * 0.3.0 Support for (sub)commands like "git remote add".
    Introduce [options] shortcut for any options.
    Breaking changes: docopt returns dictionary.
  * 0.2.0 Usage pattern matching. Positional arguments parsing based on
    usage patterns.
    Breaking changes: docopt returns namespace (for arguments),
    not list. Usage pattern is formalized.
  * 0.1.0 Initial release. Options-parsing only (based on options
    description).
